#!/bin/sh

#break script on any error
set -e
set -x

#reload service units
systemctl daemon-reload

# link ldd library
if [ ! -f /lib/ld-linux.so.3 ]; then
ln -s /lib/ld-linux-armhf.so.3 /lib/ld-linux.so.3
fi

chmod +x /usr/local/bin/TTRU3_APP_MANAGER
chmod +x /usr/local/bin/ttr-usb-gadget.sh
chmod +x /usr/local/bin/tester
chmod +x /usr/local/bin/ttr-server
chmod +x /usr/local/bin/ttr-gui
chmod +x /usr/local/bin/ttr-updater
chmod +x /usr/local/bin/ttr-updater-bin
chmod +x /usr/local/bin/ttr-gui-bin
chmod +x /usr/bin/powermon.sh

# reload udev rules
udevadm control --reload-rules

#update libs
ldconfig

# reload systemd
systemctl daemon-reload

# disable qdbd to release USB
systemctl stop  qdbd
systemctl disable qdbd

#create dirs
mkdir -p /var/ttru3
mountpoint -q /var/ttru3 || mount /dev/mmcblk3p1 /var/ttru3
mkdir -p /var/ttru3/log
cp -n /etc/ttru3/TTRU3_default.db /var/ttru3/TTRU3.db

# Disable default Qt demo apps
systemctl disable b2qt.service
systemctl disable qtlauncher.service

#enable autostart
systemctl enable ttru3-gadget
systemctl enable ttru3

if [ ! -f /etc/udev/hwdb.d/touchscreen.hwdb ]; then
    cp /usr/local/share/megger/touch_calibration/touchscreen.hwdb /etc/udev/hwdb.d/touchscreen.hwdb
    echo "Copied default touch screen calibration parameters. Please calibrate touch screen as soon as possible."
fi

# clean tmp folders
rm -r /tmp/* || true
rm -r /var/tmp/* || true

echo "TTRU3 has been setup successfully! Please reboot."
